Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I'm trying to install the php extension OAuth in my local environment. php.net suggests it's super easy. You just run pecl install oauth. I tried this, and here is the output in terminal:

(Update: I updated MacPorts per the suggestion, and have since removed the previous error I was getting. This is a new error)

downloading oauth-1.0.0.tgz ...
Starting to download oauth-1.0.0.tgz (42,834 bytes)
............done: 42,834 bytes
6 source files, building
running: phpize
Configuring for:
PHP Api Version:         20090626
Zend Module Api No:      20090626
Zend Extension Api No:   220090626
building in /var/tmp/pear-build-root/oauth-1.0.0
running: /private/var/tmp/apache_mod_php/apache_mod_php-53.1.1~7/Build/tmp/pear/temp/oauth/configure
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for a sed that does not truncate output... /usr/bin/sed
checking for cc... cc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether cc accepts -g... yes
checking for cc option to accept ISO C89... none needed
checking how to run the C preprocessor... cc -E
checking for icc... no
checking for suncc... no
checking whether cc understands -c and -o together... yes
checking for system library directory... lib
checking if compiler supports -R... no
checking if compiler supports -Wl,-rpath,... yes
checking build system type... i686-apple-darwin10.3.1
checking host system type... i686-apple-darwin10.3.1
checking target system type... i686-apple-darwin10.3.1
checking for PHP prefix... /usr
checking for PHP includes... -I/usr/include/php -I/usr/include/php/main -I/usr/include/php/TSRM -I/usr/include/php/Zend -I/usr/include/php/ext -I/usr/include/php/ext/date/lib
checking for PHP extension directory... /usr/lib/php/extensions/no-debug-non-zts-20090626
checking for PHP installed headers prefix... /usr/include/php
checking if debug is enabled... no
checking if zts is enabled... no
checking for re2c... no
configure: WARNING: You will need re2c 0.13.4 or later if you want to regenerate PHP parsers.
checking for gawk... no
checking for nawk... no
checking for awk... awk
checking if awk is broken... no
checking for oauth support... yes, shared
checking for cURL in default path... found in /usr
checking for ld used by cc... /usr/libexec/gcc/i686-apple-darwin10/4.2.1/ld
checking if the linker (/usr/libexec/gcc/i686-apple-darwin10/4.2.1/ld) is GNU ld... no
checking for /usr/libexec/gcc/i686-apple-darwin10/4.2.1/ld option to reload object files... -r
checking for BSD-compatible nm... /usr/bin/nm
checking whether ln -s works... yes
checking how to recognise dependent libraries... pass_all
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking dlfcn.h usability... yes
checking dlfcn.h presence... yes
checking for dlfcn.h... yes
checking the maximum length of command line arguments... 196608
checking command to parse /usr/bin/nm output from cc object... rm: conftest.dSYM: is a directory
rm: conftest.dSYM: is a directory
rm: conftest.dSYM: is a directory
rm: conftest.dSYM: is a directory
ok
checking for objdir... .libs
checking for ar... ar
checking for ranlib... ranlib
checking for strip... strip
rm: conftest.dSYM: is a directory
rm: conftest.dSYM: is a directory
checking if cc static flag  works... rm: conftest.dSYM: is a directory
yes
checking if cc supports -fno-rtti -fno-exceptions... rm: conftest.dSYM: is a directory
no
checking for cc option to produce PIC... -fno-common
checking if cc PIC flag -fno-common works... rm: conftest.dSYM: is a directory
yes
checking if cc supports -c -o file.o... rm: conftest.dSYM: is a directory
yes
checking whether the cc linker (/usr/libexec/gcc/i686-apple-darwin10/4.2.1/ld) supports shared libraries... yes
checking dynamic linker characteristics... darwin10.3.1 dyld
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... no

creating libtool
appending configuration tag "CXX" to libtool
configure: creating ./config.status
config.status: creating config.h
running: make
/bin/sh /private/var/tmp/pear-build-root/oauth-1.0.0/libtool --mode=compile cc  -I. -I/private/var/tmp/apache_mod_php/apache_mod_php-53.1.1~7/Build/tmp/pear/temp/oauth -DPHP_ATOM_INC -I/private/var/tmp/pear-build-root/oauth-1.0.0/include -I/private/var/tmp/pear-build-root/oauth-1.0.0/main -I/private/var/tmp/apache_mod_php/apache_mod_php-53.1.1~7/Build/tmp/pear/temp/oauth -I/usr/include/php -I/usr/include/php/main -I/usr/include/php/TSRM -I/usr/include/php/Zend -I/usr/include/php/ext -I/usr/include/php/ext/date/lib  -DHAVE_CONFIG_H  -g -O2 -Wall -g   -c /private/var/tmp/apache_mod_php/apache_mod_php-53.1.1~7/Build/tmp/pear/temp/oauth/oauth.c -o oauth.lo
mkdir .libs
 cc -I. "-I/private/var/tmp/apache_mod_php/apache_mod_php-53.1.1~7/Build/tmp/pear/temp/oauth" -DPHP_ATOM_INC -I/private/var/tmp/pear-build-root/oauth-1.0.0/include -I/private/var/tmp/pear-build-root/oauth-1.0.0/main "-I/private/var/tmp/apache_mod_php/apache_mod_php-53.1.1~7/Build/tmp/pear/temp/oauth" -I/usr/include/php -I/usr/include/php/main -I/usr/include/php/TSRM -I/usr/include/php/Zend -I/usr/include/php/ext -I/usr/include/php/ext/date/lib -DHAVE_CONFIG_H -g -O2 -Wall -g -c "/private/var/tmp/apache_mod_php/apache_mod_php-53.1.1~7/Build/tmp/pear/temp/oauth/oauth.c"  -fno-common -DPIC -o .libs/oauth.o
In file included from /private/var/tmp/apache_mod_php/apache_mod_php-53.1.1~7/Build/tmp/pear/temp/oauth/php_oauth.h:47,
                 from /private/var/tmp/apache_mod_php/apache_mod_php-53.1.1~7/Build/tmp/pear/temp/oauth/oauth.c:14:
/usr/include/php/ext/pcre/php_pcre.h:29:18: error: pcre.h: No such file or directory
In file included from /private/var/tmp/apache_mod_php/apache_mod_php-53.1.1~7/Build/tmp/pear/temp/oauth/php_oauth.h:47,
                 from /private/var/tmp/apache_mod_php/apache_mod_php-53.1.1~7/Build/tmp/pear/temp/oauth/oauth.c:14:
/usr/include/php/ext/pcre/php_pcre.h:37: error: expected '=', ',', ';', 'asm' or '__attribute__' before '*' token
/usr/include/php/ext/pcre/php_pcre.h:38: error: expected '=', ',', ';', 'asm' or '__attribute__' before '*' token
/usr/include/php/ext/pcre/php_pcre.h:44: error: expected specifier-qualifier-list before 'pcre'
make: *** [oauth.lo] Error 1
ERROR: `make' failed
share|improve this question
add comment

5 Answers 5

up vote 2 down vote accepted

Do you have macports installed? if so do a port install autoconf that should fix you up.

share|improve this answer
    
added error i receive to my question –  PJ. Jun 15 '10 at 18:30
    
syntatic.wordpress.com/2009/08/30/macports-snow-leopard-upgrade maybe you need to make sure ports is up to date. –  Jeff Bearer Jun 15 '10 at 18:34
add comment

Hey, '/usr/include/php/ext/pcre/php_pcre.h:29:18: error: pcre.h: No such file or directory'

You're missing 'perl-compatible-regular-expression' header file. Why don't you install development package for pcre first and then try to recompile?

I'm not sure what that package is called on macports, on debian, for example, it is called 'libpcre3-dev'.

-F

share|improve this answer
    
trying it now. currently running a sudo port install pcre. thanks! –  PJ. Jun 16 '10 at 16:04
    
Hey, I just checked php_pcre.h comes with php5-dev package (development package of your php). Install that and recompile and it should work, unless there are some other missing requirements. –  Nikolas Sakic Jun 16 '10 at 21:18
add comment

Get the matching PHP tarball from http://www.php.net/releases/ that you have currently installed in your system.

Manually extract it and copy the ext/pcre directory from it to /usr/include/php/ext

Then try to re-install oAuth via pecl.

share|improve this answer
    
I gave this a shot, but still got the same error. –  Tom Lianza Jan 3 '11 at 2:25
add comment

I was having the same `make failed' problem and installing pcre solved my problem

apt-get install libpcre3-dev

share|improve this answer
    
This answer helped me out, thank you! –  Bob Kruithof May 25 '12 at 18:59
add comment

I was having a similar issue installing the Phar extension on PHP 5.2.6 on Centos 5.2 x64, and after reading this the following commands worked:

# fix 'noexec' permission on /tmp and /var/tmp
mkdir /root/tmp
chmod 777 /root/tmp
mount --bind /root/tmp /tmp
mount --bind /root/tmp /var/tmp

# get the required pcre source RPM
wget http://mirrors.kernel.org/centos/5/os/x86_64/CentOS/pcre-devel-6.6-2.el5_1.7.i386.rpm
rpm -ivh pcre-devel-6.6-2.el5_1.7.i386.rpm

# install pecl extension
pecl install Phar
share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.